Bug 22584 - Update request kernel 4.14.20
Summary: Update request kernel 4.14.20
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-64-OK, MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-02-13 23:17 CET by Thomas Backlund
Modified: 2018-02-23 18:15 CET (History)
7 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-02-13 23:17:04 CET
Here comes a new set in which I have merged the suggested meltdown mitigations for 32bit installs...

So theese really need 32bit tests... (and obviously 64bit too)

Now 32bit takes a "bigger hit" than 64bit because of missing PCID suport (something that will never be done on 32bit)... so expect some slowdowns...



SRPMS:
kernel-4.14.19-1.mga6.src.rpm
kernel-userspace-headers-4.14.19-1.mga6.src.rpm

kmod-vboxadditions-5.2.6-7.mga6.src.rpm
kmod-virtualbox-5.2.6-7.mga6.src.rpm
kmod-xtables-addons-2.13-17.mga6.src.rpm



i586:
cpupower-4.14.19-1.mga6.i586.rpm
cpupower-devel-4.14.19-1.mga6.i586.rpm
kernel-desktop-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.19-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.19-1.mga6.i586.rpm
kernel-desktop-devel-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.19-1.mga6.i586.rpm
kernel-desktop-latest-4.14.19-1.mga6.i586.rpm
kernel-doc-4.14.19-1.mga6.noarch.rpm
kernel-server-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.19-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.19-1.mga6.i586.rpm
kernel-server-latest-4.14.19-1.mga6.i586.rpm
kernel-source-4.14.19-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.19-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.19-1.mga6.i586.rpm
perf-4.14.19-1.mga6.i586.rpm

vboxadditions-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.i586.rpm
vboxadditions-kernel-4.14.19-desktop586-1.mga6-5.2.6-7.mga6.i586.rpm
vboxadditions-kernel-4.14.19-server-1.mga6-5.2.6-7.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.6-7.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.6-7.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.6-7.mga6.i586.rpm

virtualbox-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.i586.rpm
virtualbox-kernel-4.14.19-desktop586-1.mga6-5.2.6-7.mga6.i586.rpm
virtualbox-kernel-4.14.19-server-1.mga6-5.2.6-7.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.6-7.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.6-7.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.6-7.mga6.i586.rpm

xtables-addons-kernel-4.14.19-desktop-1.mga6-2.13-17.mga6.i586.rpm
xtables-addons-kernel-4.14.19-desktop586-1.mga6-2.13-17.mga6.i586.rpm
xtables-addons-kernel-4.14.19-server-1.mga6-2.13-17.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-17.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-17.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-17.mga6.i586.rpm



x86_64:
cpupower-4.14.19-1.mga6.x86_64.rpm
cpupower-devel-4.14.19-1.mga6.x86_64.rpm
kernel-desktop-4.14.19-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.19-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.19-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.19-1.mga6.x86_64.rpm
kernel-doc-4.14.19-1.mga6.noarch.rpm
kernel-server-4.14.19-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.19-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.19-1.mga6.x86_64.rpm
kernel-server-latest-4.14.19-1.mga6.x86_64.rpm
kernel-source-4.14.19-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.19-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.19-1.mga6.x86_64.rpm
perf-4.14.19-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.x86_64.rpm
vboxadditions-kernel-4.14.19-server-1.mga6-5.2.6-7.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.6-7.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.6-7.mga6.x86_64.rpm

virtualbox-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.x86_64.rpm
virtualbox-kernel-4.14.19-server-1.mga6-5.2.6-7.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.6-7.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.6-7.mga6.x86_64.rpm

xtables-addons-kernel-4.14.19-desktop-1.mga6-2.13-17.mga6.x86_64.rpm
xtables-addons-kernel-4.14.19-server-1.mga6-2.13-17.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-17.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-17.mga6.x86_64.rpm
Comment 1 Thomas Andrews 2018-02-14 01:47:20 CET
On real hardware, HP Probook 6550b, i3, 8GB RAM, integrated Intel graphics, Intel wifi.

Tested 64-bit desktop kernel, with virtualbox. Tried all the usual suspects. No problems noted.

Tested 32-bit desktop and server kernels. Virtualbox not on that install. Both kernels seem fine in general use, no slowdown noted. 

As before with the 4.14 kernels, the 64-bit desktop kernel and the 32-bit server kernel will suspend and resume as they should, while the 32-bit desktop kernel reboots instead of resuming.

CC: (none) => andrewsfarm

Comment 2 James Kerr 2018-02-14 12:08:24 CET
on mga6-64 plasma

packages installed cleanly:
- cpupower-4.14.19-1.mga6.x86_64
- kernel-desktop-4.14.19-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.19-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.19-1.mga6.x86_64
- kernel-desktop-latest-4.14.19-1.mga6.x86_64
- kernel-userspace-headers-4.14.19-1.mga6.x86_64
- virtualbox-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.6-7.mga6.x86_64

system re-booted normally
$ uname -r
4.14.19-desktop-1.mga6

vbox and client launched normally

tested several commonly used applications

no regressions noted

OK for mga6-64 on this system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
           Display Server: Mageia X.org 119.5 drivers: v4l,intel

CC: (none) => jim

Comment 3 James Kerr 2018-02-14 12:14:08 CET
on mga6-32 plasma in a vbox VM

packages installed cleanly:
- cpupower-4.14.19-1.mga6.i586
- kernel-desktop-4.14.19-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.19-1.mga6.i586
- kernel-userspace-headers-4.14.19-1.mga6.i586
- vboxadditions-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.6-7.mga6.i586

VM restarted normally:
$ uname -r
4.14.19-desktop-1.mga6

tested several commonly used applications

no regressions noted

OK for mga6-32 in a vbox VM
Thomas Backlund 2018-02-14 12:15:44 CET

Summary: Update request 4.14.19 => Update request kernel 4.14.19

Comment 4 Len Lawrence 2018-02-14 13:31:07 CET
System:    Host: vega Kernel: 4.14.19-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed: 4400 MHz (max)
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
Graphics:  Card-1: Intel Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller
           Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.5.0 NVIDIA 384.111
RAM:       15.35 GB
Network:   Card-1: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller
           driver: alx

Mate desktop came up fine.  Stress tests completed.  NFS shares available.  Networking OK in general.  Video and bluetooth sound working but TV tuner not responding.
Also having trouble starting virtualbox sessions.  No X driver.

CC: (none) => tarazed25

Comment 5 Len Lawrence 2018-02-14 15:22:52 CET
re comment 4:
em28xx is loaded and rc_pinnacle_pctv_hd but I cannot see any Silicon Labs firmware on disk.
Comment 6 Len Lawrence 2018-02-14 15:35:41 CET
re comment 5:
Copied Si dvb firmware to /usr/lib/firmware and tried again.  Still no TV.  Noted on reboot that "USB device cannot be enumerated".  Reverting to the earlier kernel did not improve matters.  Moved to an entirely different partition, booting to the earlier kernel, and saw the same thing.  May have to raise a bug on this because it could be a regression in some other area.
Comment 7 Len Lawrence 2018-02-14 15:44:56 CET
re comment 6:
Arrgh!  Scrub that.  It looks like it was a bad connection.
TV works.
Comment 8 Brian Rockwell 2018-02-14 15:46:03 CET
C51 [GeForce 6150 LE]
‎AMD Athlon(tm) 64 X2 Dual Core Processor 3800+




Rpmdrake or one of its priority dependencies needs to be updated first. Rpmdrake will then restart.

The following 7 packages are going to be installed:

- cpupower-4.14.19-1.mga6.i586
- cpupower-devel-4.14.19-1.mga6.i586
- kernel-desktop-4.14.19-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-4.14.19-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-latest-4.14.19-1.mga6.i586
- kernel-desktop-latest-4.14.19-1.mga6.i586
- meta-task-6-1.1.mga6.noarch

96MB of additional disk space will be used.

61MB of packages will be retrieved.

--- rebooted

[brian@localhost ~]$ uname -a
Linux localhost 4.14.19-desktop-1.mga6 #1 SMP Tue Feb 13 19:59:48 UTC 2018 i686 i686 i686 GNU/Linux

Samba Server is working, Apache Server is working, Office is working, browser working, sound is working

Working as designed.  We leave it run for a few hours and see what happens.
Comment 9 James Kerr 2018-02-14 17:08:24 CET
on mga6-32 XFCE

packages installed cleanly:
- cpupower-4.14.19-1.mga6.i586
- kernel-server-4.14.19-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.19-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.19-1.mga6.i586
- kernel-server-latest-4.14.19-1.mga6.i586
- kernel-userspace-headers-4.14.19-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.19-server-1.mga6

tested several commonly used applications

no regressions noted

looks OK for mag6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M 
CPU:       Quad core AMD Phenom 9500 (-MCP-)
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l 
           GLX Renderer: GeForce GT 710/PCIe/SSE2/3DNOW! 
	   GLX Version: 4.5.0 NVIDIA 384.111
Comment 10 Len Lawrence 2018-02-14 17:37:59 CET
System:    Host: difda Kernel: 4.14.19-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3813/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.5.0 NVIDIA 384.111
RAM:       31.37 GB

Rebooted to Mate OK and passed stress tests but virtualbox would not start.

$ VirtualBox: supR3HardenedMainGetTrustedMain: dlopen("/usr/lib64/virtualbox/VirtualBox.so",) failed: /lib64/libQt5Gui.so.5: symbol _Z10qAllocMoreii, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

Edited out any earlier kernel references.
$ rpm -qa | egrep "vbox|virtualbox"
x11-driver-video-vboxvideo-5.2.6-1.mga6
virtualbox-guest-additions-5.2.6-1.mga6
virtualbox-doc-5.1.30-1.mga6
virtualbox-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6
virtualbox-5.2.6-1.mga6
virtualbox-kernel-desktop-latest-5.2.6-7.mga6
vboxadditions-kernel-desktop-latest-5.2.6-7.mga6
dkms-virtualbox-5.2.6-1.mga6
vboxadditions-kernel-4.14.19-desktop-1.mga6-5.2.6-7.mga6

Is there something missing in my setup, like a development package?
Comment 11 Herman Viaene 2018-02-14 17:51:01 CET
MGA6-32 on Dell Latitude D600
No installation issues
Usual tests (text, pdf, jpeg, ppm, tiff, mpg, website over Wifi) all work OK.

CC: (none) => herman.viaene

Comment 12 Thomas Andrews 2018-02-14 20:26:16 CET
Real hardware, ASRock motherboard, Athlon X2 7750, 8GB, Geforce 9800GT graphics card (nvidia340), Atheros wifi.

One 64-bit Plasma install, using the server kernel. VirtualBox is installed.

One 32-bit Xfce install, with both the server and desktop kernels installed. No VirtualBox on this install.

All packages installed cleanly. Booted into each kernel in turn, checked several apps, including VirtualBox where appropriate. Everything worked OK, no problems noted. Suspend/resume worked for all kernels on this hardware. No particular sluggishness noted on 32-bit, except for what is probably related to Internet service rather than the kernel. But then, I do not use apps that are particularly taxing on the system, especially when running 32-bit.
Comment 13 Len Lawrence 2018-02-14 22:06:09 CET
Reinstalled virtualbox under 4.14.19-desktop-1.mga6 :: x86_64

Launched a Mageia 6 64-bit guest and installed the latest desktop kernel.
It looks fine so far.
Comment 14 Thomas Backlund 2018-02-15 09:36:09 CET
Putting feedback on this as atleast one issue has been identified upstream with the PTI for 32bit, so there will be a new kernel coming...

feel free to test/use this kernel anyway...

Keywords: (none) => feedback

Comment 15 Len Lawrence 2018-02-15 13:50:14 CET
System:    Host: markab Kernel: 4.14.19-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-) speed/max: 2694/3500 MHz
Machine:   Device: laptop System: GIGABYTE product: X5
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           Card-2: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.5.0 NVIDIA 384.111
Network:   Card-2: Intel Wireless 7265 driver: iwlwifi
RAM:       15.62 GB

Stress tests finished OK, temperatures reaching 93°C but recovering quickly.
NFS share mounted.  Desktop looks good.   VirtualBox. not installed.
Video and bluetooth sound working fine.
Comment 16 William Kenney 2018-02-15 22:11:24 CET
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.18-desktop-1.mga6 #1 SMP Wed Feb 7 23:14:33 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.18-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.6-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.6-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-lates
No package named kernel-desktop-devel-lates
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.18-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.19-desktop-1.mga6 #1 SMP Tue Feb 13 18:03:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.19-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-7.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.6-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.6-7.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.19-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.19-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-6-x86_64-DVD.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)

CC: (none) => wilcal.int

Comment 17 Thomas Backlund 2018-02-18 15:26:16 CET

Ok, new set available ready for testing ...

SRPMS:
kernel-4.14.20-1.mga6.src.rpm
kernel-userspace-headers-4.14.20-1.mga6.src.rpm

kmod-vboxadditions-5.2.6-10.mga6.src.rpm
kmod-virtualbox-5.2.6-10.mga6.src.rpm
kmod-xtables-addons-2.13-20.mga6.src.rpm



i586:
cpupower-4.14.20-1.mga6.i586.rpm
cpupower-devel-4.14.20-1.mga6.i586.rpm
kernel-desktop-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.20-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.20-1.mga6.i586.rpm
kernel-desktop-devel-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.20-1.mga6.i586.rpm
kernel-desktop-latest-4.14.20-1.mga6.i586.rpm
kernel-doc-4.14.20-1.mga6.noarch.rpm
kernel-server-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.20-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.20-1.mga6.i586.rpm
kernel-server-latest-4.14.20-1.mga6.i586.rpm
kernel-source-4.14.20-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.20-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.20-1.mga6.i586.rpm
perf-4.14.20-1.mga6.i586.rpm

vboxadditions-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.i586.rpm
vboxadditions-kernel-4.14.20-desktop586-1.mga6-5.2.6-10.mga6.i586.rpm
vboxadditions-kernel-4.14.20-server-1.mga6-5.2.6-10.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.6-10.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.6-10.mga6.i586.rpm

virtualbox-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.i586.rpm
virtualbox-kernel-4.14.20-desktop586-1.mga6-5.2.6-10.mga6.i586.rpm
virtualbox-kernel-4.14.20-server-1.mga6-5.2.6-10.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.6-10.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.6-10.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.6-10.mga6.i586.rpm

xtables-addons-kernel-4.14.20-desktop-1.mga6-2.13-20.mga6.i586.rpm
xtables-addons-kernel-4.14.20-desktop586-1.mga6-2.13-20.mga6.i586.rpm
xtables-addons-kernel-4.14.20-server-1.mga6-2.13-20.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-20.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-20.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-20.mga6.i586.rpm



x86_64:
cpupower-4.14.20-1.mga6.x86_64.rpm
cpupower-devel-4.14.20-1.mga6.x86_64.rpm
kernel-desktop-4.14.20-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.20-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.20-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.20-1.mga6.x86_64.rpm
kernel-doc-4.14.20-1.mga6.noarch.rpm
kernel-server-4.14.20-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.20-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.20-1.mga6.x86_64.rpm
kernel-server-latest-4.14.20-1.mga6.x86_64.rpm
kernel-source-4.14.20-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.20-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.20-1.mga6.x86_64.rpm
perf-4.14.20-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.x86_64.rpm
vboxadditions-kernel-4.14.20-server-1.mga6-5.2.6-10.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.6-10.mga6.x86_64.rpm

virtualbox-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.x86_64.rpm
virtualbox-kernel-4.14.20-server-1.mga6-5.2.6-10.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.6-10.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.6-10.mga6.x86_64.rpm

xtables-addons-kernel-4.14.20-desktop-1.mga6-2.13-20.mga6.x86_64.rpm
xtables-addons-kernel-4.14.20-server-1.mga6-2.13-20.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-20.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-20.mga6.x86_64.rpm

Summary: Update request kernel 4.14.19 => Update request kernel 4.14.20
Keywords: feedback => (none)

Comment 18 Len Lawrence 2018-02-18 18:02:44 CET
Installed both kernels, 
$ drakboot --bootset the default to server.
Various drivers built at reboot.

Mate preferences intact.
System:    Host: vega Kernel: 4.14.20-server-1.mga6 x86_64 (64 bit)
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed: 4400 MHz (max)
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
Graphics:  Card-1: Intel Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller
           Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.5.0 NVIDIA 384.111
Network:   Card-1: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller
           driver: alx
           Card-2: Ralink RT3090 Wireless 802.11n 1T/1R PCIe driver: rt2800pci
RAM:       15.35 GB

Networking and NFS shares OK.  Launched a mgag6 32-bit guest in virtualbox.
Stress tests including glmark2 ran fine.  Video and bluetooth sound working.
firefox, thunderbird, LO writer, emacs, ruby, mplayer, vlc, ristretto, mcc..., all working OK.
Comment 19 William Kenney 2018-02-18 19:49:06 CET
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.18-desktop-1.mga6 #1 SMP Thu Feb 8 00:20:19 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.18-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-6.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.18-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

[root@localhost wilcal]# uname -a
Linux localhost 4.14.20-desktop-1.mga6 #1 SMP Sun Feb 18 02:29:30 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.20-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.20-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 20 William Kenney 2018-02-18 19:49:35 CET
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.18-desktop-1.mga6 #1 SMP Wed Feb 7 23:14:33 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.18-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.18-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

[root@localhost wilcal]# uname -a
Linux localhost 4.14.20-desktop-1.mga6 #1 SMP Sun Feb 18 01:22:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.20-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.20-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 21 Len Lawrence 2018-02-18 20:21:25 CET
Installed desktop and server kernels.
Rebooted to Mate desktop.
System:    Host: markab Kernel: 4.14.20-desktop-1.mga6 x86_64 (64 bit)
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-) speed/max: 2698/3500 MHz
Machine:   Device: laptop System: GIGABYTE product: X5
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           Card-2: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.5.0 NVIDIA 384.111
Network:   Card-1: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller
           driver: alx
           Card-2: Intel Wireless 7265 driver: iwlwifi
RAM:       15.62 GB

Hardware stress tests ran fine.  Networking OK and NFS shares mounted. Bluetooth sound working with vlc video.  Other applications working normally.
Comment 22 Len Lawrence 2018-02-18 21:10:15 CET
Installed desktop kernel.

System:    Host: juza Kernel: 4.14.20-desktop-1.mga6 x86_64 (64 bit)
CPU:       Quad core Intel Core i7-3630QM (-HT-MCP-)
Machine:   Device: laptop System: LENOVO product: 9541 v: Lenovo IdeaPad Y500
Graphics:  Card: NVIDIA GK107M [GeForce GT 650M]
           GLX Version: 4.5.0 NVIDIA 384.111
Network:   Card-1: Qualcomm Atheros AR8161 Gigabit Ethernet
           driver: alx
           Card-2: Intel Centrino Wireless-N 2230 driver: iwlwifi
RAM:       7.74 GB

Mate desktop running fine.  Completed hardware stress tests.  No problems with networking and NFS shares.  Played a video in vlc and connected to TV soundbar via bluetooth.  Everything else looks good so far.
Comment 23 Len Lawrence 2018-02-18 21:52:03 CET
Installed desktop kernel and rebooted to Mate desktop.

System:    Host: belexeuli Kernel: 4.14.20-desktop-1.mga6 x86_64 (64 bit)
CPU:       Quad core Intel Core i7-2600 (-HT-MCP-) speed/max: 3491/3800 MHz
Machine:   Device: desktop System: Alienware product: Alienware X51 v: 00
Graphics:  Card-1: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
           Card-2: NVIDIA GF114 [GeForce GTX 555]
           GLX Version: 4.5.0 NVIDIA 384.111
Network:   Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169
           Card-2: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express)
           driver: ath9k
RAM:       7.69 GB

stress tests and glmark2.  NFS shares mounted.  vlc playing video across the network.  Sound OK.  Leaving this to run until another kernel comes along.
Comment 24 William Kenney 2018-02-18 22:17:44 CET
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.18-desktop-1.mga6 #1 SMP Wed Feb 7 23:14:33 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.18-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.6-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.6-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-lates
No package named kernel-desktop-devel-lates
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.18-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.20-desktop-1.mga6 #1 SMP Sun Feb 18 01:22:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.20-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.6-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.6-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.6-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.20-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.20-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-6-x86_64-DVD.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 25 Thomas Andrews 2018-02-19 00:18:32 CET
Same hardware and systems as Comment 12. 

Same tests, same results.

All kernels suspend and resume successfully.

Looks OK on this hardware.
Comment 26 Len Lawrence 2018-02-19 00:26:46 CET
Installed desktop kernel.

System:    Host: hamal Kernel: 4.14.20-desktop-1.mga6 x86_64 (64 bit)
CPU:       Dual core Intel Core i7-7500U (-HT-MCP-) speed: 3500 MHz (max)
Machine:   Device: laptop System: Dell product: XPS 13 9360
Graphics:  Card: Intel HD Graphics 620
GLX Renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2)
           GLX Version: 3.0 Mesa 17.3.2
Network:   Card-1: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter
           driver: ath10k_pci
           Card-2: Atheros
RAM:       15.55 GB

stress tests and glmark2 OK.  NFS shares mounted.  Played local video file with mplayer; bluetooth sound OK.  vlc had problems with video - still investigating that.  Unrlated to the kernel as faras i can see - more a problem with the i965 driver.
Comment 27 James Kerr 2018-02-19 10:42:49 CET
on mga6-64 plasma

packages installed cleanly:
- cpupower-4.14.20-1.mga6.x86_64
- kernel-desktop-4.14.20-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.20-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.20-1.mga6.x86_64
- kernel-desktop-latest-4.14.20-1.mga6.x86_64
- kernel-userspace-headers-4.14.20-1.mga6.x86_64
- virtualbox-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.6-10.mga6.x86_64

system re-booted normally:
$ uname -r
4.14.20-desktop-1.mga6

vbox and client launched normally

tested several commonly used applications

no regressions noted

OK for mga6-64 on this system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
           Display Server: Mageia X.org 119.5 drivers: v4l,intel  
           GLX Renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2) GLX Version: 3.0 Mesa 17.3.2
Comment 28 James Kerr 2018-02-19 10:43:52 CET
on mga6-32 in a vbox VM

packages installed cleanly:
- cpupower-4.14.20-1.mga6.i586
- kernel-desktop-4.14.20-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.20-1.mga6.i586
- kernel-userspace-headers-4.14.20-1.mga6.i586
- vboxadditions-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.6-10.mga6.i586

VM re-launched normally:
$ uname -r
4.14.20-desktop-1.mga6

tested several commonly used applications

no regressions noted

OK for mga6-32 in a vbox VM
Comment 29 James Kerr 2018-02-19 14:26:44 CET
on mga6-32 xfce

packages installed cleanly:
- cpupower-4.14.20-1.mga6.i586
- kernel-server-4.14.20-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.20-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.20-1.mga6.i586
- kernel-server-latest-4.14.20-1.mga6.i586
- kernel-userspace-headers-4.14.20-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.20-server-1.mga6

tested several commonly used applications

no regressions noted

OK for mga6-32 on this system:
Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M 
CPU:       Quad core AMD Phenom 9500 (-MCP-)
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l 
           GLX Renderer: GeForce GT 710/PCIe/SSE2/3DNOW! 
	   GLX Version: 4.5.0 NVIDIA 384.111
Comment 30 Thomas Andrews 2018-02-19 22:23:09 CET
(In reply to Thomas Andrews from comment #1)
> On real hardware, HP Probook 6550b, i3, 8GB RAM, integrated Intel graphics,
> Intel wifi.
> 
> Tested 64-bit desktop kernel, with virtualbox. Tried all the usual suspects.
> No problems noted.
> 
> Tested 32-bit desktop and server kernels. Virtualbox not on that install.
> Both kernels seem fine in general use, no slowdown noted. 
> 
> As before with the 4.14 kernels, the 64-bit desktop kernel and the 32-bit
> server kernel will suspend and resume as they should, while the 32-bit
> desktop kernel reboots instead of resuming.

Same hardware and systems, testing kernels 4.14.20-1, same tests, same results.
Comment 31 Herman Viaene 2018-02-21 14:04:10 CET
MGA6-32 on Dell Latitude D600 Mate
No installation issues.
Running into problems with reading from nfs-shares. Inverstigating.
Comment 32 Herman Viaene 2018-02-21 17:14:12 CET
OK, after a lot of checking and running the update also on my Lenovo B50 MGA6, I found out there was an issue in the network settings of my router. Up to now, it had never bothered me, but now it caused a few problems. Mounting nfs shares was OK, but when I tried to copy a file from an nfs share, the whole network settting became somewhat a gamble. Once the router was cleared out, and my Dell laptop completely restarted, all was well.
So my MGA6-32 testing (pfd, txt, odp, jpeg, mpeg, newspaper website, access to nfs shares) all run OK now.
Comment 33 PC LX 2018-02-22 19:46:33 CET
Installed and tested without regressions.

Tested on both HW and VirtualBox VM. Tested normal usage with some extra testing. No regressions noticed.

System host: Mageia 6, x86_64, Plasma DE, LXQT DE, Intel CPU, nVidia GPU using nvidia340 proprietary driver.
System VirtualBox guest: Mageia 6, x86_64, Plasma DE, OpenBox DE, Intel CPU, using VB guest additions.

Host Information:
$ uname -a
Linux marte 4.14.20-desktop-1.mga6 #1 SMP Sun Feb 18 01:22:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep 4.14.20 | sort
cpupower-4.14.20-1.mga6
kernel-desktop-4.14.20-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.20-1.mga6-1-1.mga6
kernel-desktop-devel-latest-4.14.20-1.mga6
kernel-desktop-latest-4.14.20-1.mga6
kernel-userspace-headers-4.14.20-1.mga6
perf-4.14.20-1.mga6
virtualbox-kernel-4.14.20-desktop-1.mga6-5.2.6-10.mga6

CC: (none) => mageia

Comment 34 Thomas Backlund 2018-02-23 17:28:54 CET
Validating as discussed in last QA meeting.

Advisory (also added to svn):

subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE-2017-5715
 - CVE-2017-5754
src:
  6:
   core:
     - kernel-4.14.20-1.mga6
     - kernel-userspace-headers-4.14.20-1.mga6
     - kmod-vboxadditions-5.2.6-10.mga6
     - kmod-virtualbox-5.2.6-10.mga6
     - kmod-xtables-addons-2.13-20.mga6
description: |
  This kernel update is based on the upstream 4.14.20 and and adds KPTI
  mitigation for Meltdown (CVE-2017-5754) on 32bit x86. Arm platorm has
  now also addedmitigations for Meltdown (CVE-2017-5754) and Spectre,
  variant 2 (CVE-2017-5715).

  For other fixes in this update, read the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=22584
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.19
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.20

Whiteboard: (none) => MGA6-64-OK, MGA6-32-OK
Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 35 Mageia Robot 2018-02-23 18:15:33 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0134.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.